import { getReq, postReq, putReq } from '@/utils';

/**
 * 退出登录
 */
export function logoutApi() {
    return putReq('/api/v1/logout');
}

/**
 * 修改密码
 */
export function modifyPasswordApi(data) {
    return putReq('/api/v1/users/password', data);
}

/**
 * 修改用户信息
 */
export function updateUserInfoApi(data) {
    return putReq('/api/v1/users/profile', data);
}

/**
 * 获取当前用户信息
 */
export function getUserInfoApi() {
    return getReq('/api/v1/detail');
}

/**
 * 上传文件
 */
export function uploadFileApi(modelName, file) {
    const formData = new FormData();
    formData.append('modelName', modelName);
    formData.append('file', file);
    return postReq('/api/v1/upload', formData);
}
